﻿@using DemeWebTraning.Models
@model DemeWebTraning.Models.LoginModel
@{
    ViewBag.Title = "Authentication";
}
<style>
    .login-container {
        background: #222 url('https://unsplash.it/1920/1080/?random') center center no-repeat;
        /*        margin-top: 5%;
        margin-bottom: 5%;*/
    }

    .login-form-2 {
        padding: 5%;
        background: #0062cc;
        box-shadow: 0 5px 8px 0 rgba(0, 0, 0, 0.2), 0 9px 26px 0 rgba(0, 0, 0, 0.19);
    }

        .login-form-2 h3 {
            text-align: center;
            color: #fff;
        }

    .login-container form {
        padding: 10%;
    }

    .btnSubmit {
        width: 50%;
        border-radius: 1rem;
        padding: 1.5%;
        border: none;
        cursor: pointer;
    }

    .login-form-2 .btnSubmit {
        font-weight: 600;
        color: #0062cc;
        background-color: #fff;
    }

    .login-form-2 .ForgetPwd {
        color: #fff;
        font-weight: 600;
        text-decoration: none;
    }

    .form-group {
        margin-top: 15px;
    }

    .form-control {
        display: inline;
    }

    /*login*/
    .card {
        padding: 30px 40px;
        margin-top: 60px;
        margin-bottom: 60px;
        border: none !important;
        box-shadow: 0 6px 12px 0 rgba(0, 0, 0, 0.2)
    }

    .blue-text {
        color: #00BCD4
    }

    .form-control-label {
        margin-bottom: 0
    }

    input,
    textarea,
    button {
        padding: 8px 15px;
        border-radius: 5px !important;
        margin: 5px 0px;
        box-sizing: border-box;
        border: 1px solid #ccc;
        font-size: 18px !important;
        font-weight: 300
    }

        input:focus,
        textarea:focus {
            -moz-box-shadow: none !important;
            -webkit-box-shadow: none !important;
            box-shadow: none !important;
            border: 1px solid #00BCD4;
            outline-width: 0;
            font-weight: 400
        }

    .btn-block {
        text-transform: uppercase;
        font-size: 15px !important;
        font-weight: 400;
        height: 43px;
        cursor: pointer
    }

        .btn-block:hover {
            color: #fff !important
        }

    button:focus {
        -moz-box-shadow: none !important;
        -webkit-box-shadow: none !important;
        box-shadow: none !important;
        outline-width: 0
    }
</style>

@*<div class="container-fluid login-container min-vh-100">
    <div class="row">
        <div class="col-xl-5 col-lg-6 col-md-12 col-sm-10 mx-auto text-center form p-4">
            <h3>Login</h3>
            @using (Html.BeginForm("UserLogin", "Login", FormMethod.Post))
            {
                <div class="text-center" style="text-align:center;">
                    <div class="form-group text-center">
                        <input type="text" class="form-control" placeholder="Your Email *" value="" name="username" id="username" required="" />

                    </div>
                    <div class="form-group">
                        <input type="password" class="form-control" placeholder="Your Password *" value="" name="password" id="password" required />
                    </div>
                    <div class="form-group">
                        <input type="submit" class="btnSubmit" value="Login" id="submitButton" />
                    </div>
                </div>

                <div class="form-group">
                        <a href="#" class="ForgetPwd" value="Login">Forget Password?</a>
                    </div>
            }

        </div>
    </div>
</div>*@
<div class="container-fluid px-1 py-5 mx-auto">
    <div class="row d-flex justify-content-center">
        <div class="col-md-5 text-center">
            @if (ViewBag.Status == "N")
            {
                <div class="alert alert-danger" id="error-alert" role="alert">
                    ไม่สำเร็จ กรุณาลองอีกครั้ง!
                </div>
            }

            <div class="card">
                <h5 class="text-center mb-4">Login</h5>
                @using (Html.BeginForm("UserLogin", "Login", FormMethod.Post, new { id = "", data_parsley_validate = "", enctype = "multipart/form-data" }))
                {
                    <div class="row justify-content-center text-start">
                        <div class="form-group col-md-12 flex-column d-flex"> <label class="form-control-label px-3">Email<span class="text-danger"> *</span></label> <input type="text" id="fname" name="username" placeholder="Enter your first email" onblur="validate(1)" required data-parsley-required-message="กรุณาระบุ อีเมล"> </div>
                    </div>
                    <div class="row justify-content-center text-start">
                        <div class="form-group col-md-12 flex-column d-flex"> <label class="form-control-label px-3">Password<span class="text-danger"> *</span></label> <input type="password" id="fname" name="password" placeholder="Enter your first password" onblur="validate(1)" required data-parsley-required-message="กรุณาระบุ รหัสผ่าน"> </div>
                    </div>
                    <div class="row justify-content-center">
                        <div class="form-group col-sm-6"> <button type="submit" class="btn-block btn-primary">Login</button> </div>
                    </div>
                }
            </div>
        </div>
    </div>
</div>

@section scripts{
    <script>
        $(document).ready(function () {
            $("#error-alert").hide();
            $("#error-alert").fadeTo(2000, 500).slideUp(500, function () {
                $("#error-alert").slideUp(500);
            });
        });
        function validate(val) {
            v1 = document.getElementById("fname");
            v2 = document.getElementById("lname");
            v3 = document.getElementById("email");
            v4 = document.getElementById("mob");
            v5 = document.getElementById("job");
            v6 = document.getElementById("ans");

            flag1 = true;
            flag2 = true;
            flag3 = true;
            flag4 = true;
            flag5 = true;
            flag6 = true;

            if (val >= 1 || val == 0) {
                if (v1.value == "") {
                    v1.style.borderColor = "red";
                    flag1 = false;
                }
                else {
                    v1.style.borderColor = "green";
                    flag1 = true;
                }
            }

            if (val >= 2 || val == 0) {
                if (v2.value == "") {
                    v2.style.borderColor = "red";
                    flag2 = false;
                }
                else {
                    v2.style.borderColor = "green";
                    flag2 = true;
                }
            }
            if (val >= 3 || val == 0) {
                if (v3.value == "") {
                    v3.style.borderColor = "red";
                    flag3 = false;
                }
                else {
                    v3.style.borderColor = "green";
                    flag3 = true;
                }
            }
            if (val >= 4 || val == 0) {
                if (v4.value == "") {
                    v4.style.borderColor = "red";
                    flag4 = false;
                }
                else {
                    v4.style.borderColor = "green";
                    flag4 = true;
                }
            }
            if (val >= 5 || val == 0) {
                if (v5.value == "") {
                    v5.style.borderColor = "red";
                    flag5 = false;
                }
                else {
                    v5.style.borderColor = "green";
                    flag5 = true;
                }
            }
            if (val >= 6 || val == 0) {
                if (v6.value == "") {
                    v6.style.borderColor = "red";
                    flag6 = false;
                }
                else {
                    v6.style.borderColor = "green";
                    flag6 = true;
                }
            }

            flag = flag1 && flag2 && flag3 && flag4 && flag5 && flag6;

            return flag;
        }
    </script>
}

